mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(false) To be added.

Defines a set of commonly used security identifiers (SIDs).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account administrators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the certificate administrators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account computer group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account controller group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account domain administrator group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account domain guests group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account domain users group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the enterprise administrators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account guest group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account Kerberos target group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the policy administrators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the RAS and IAS server account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the schema administrators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for the anonymous account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for an authenticated user.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for a batch process. This SID is added to the process of a token when it logs on as a batch job.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the account operators account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the administrator account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the Windows Authorization Access group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the backup operators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the domain account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the guest account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that allows a user to create incoming forest trusts. It is added to the token of users who are a member of the Incoming Forest Trust Builders built-in group in the root domain of the forest.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the network operators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the group of users that have remote access to monitor the computer.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the group of users that have remote access to schedule logging of performance counters on this computer.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the power users group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches pre-win2kfamily compatible accounts.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the print operators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches remote desktop users.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the replicator account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the system operators group.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches built-in user accounts.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a creator group server SID.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the creator group of an object.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a creator owner server SID.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the owner or creator of an object.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for a dial-up account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID present when the Microsoft Digest authentication package authenticated the client.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for an enterprise controller.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for an interactive account. This SID is added to the process of a token when it logs on interactively.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches a local service.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a local SID.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches the local system.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches logon IDs.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates the maximum defined SID in the enumeration.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches a network service.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for a network account. This SID is added to the process of a token when it logs on across a network.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for the Windows NT authority.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID present when the Microsoft NTLM authentication package authenticated the client.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a null SID.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID present when the user authenticated across a forest with the selective authentication option enabled. If this SID is present, then cannot be present.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a proxy SID.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches remote logons.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for restricted code.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID present when the Secure Channel (SSL/TLS) authentication package authenticated the client.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for self.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID for a service. This SID is added to the process of a token when it logs on as a service.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches a terminal server account.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID present when the user authenticated from within the forest or across a trust that does not have the selective authentication option enabled. If this SID is present, then cannot be present.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID is present in a server that can issue Terminal Server licenses.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Principal.WellKnownSidType

  Indicates a SID that matches everyone.